<!-- Animation circulaire à afficher durant les chargements -->

<template>
  <v-progress-circular
    indeterminate
    :size="size"
  />
</template>

<script lang="ts">
import { defineComponent, toRefs } from '@nuxtjs/composition-api'

export default defineComponent({
  props: {
    size: {
      type: Number,
      required: false,
      default: 32
    }
  },
  setup (props) {
    const { size } = toRefs(props)

    return {
      size
    }
  }
})
</script>
